## org.apache.batik.css.engine.value.svg
Class GlyphOrientationManager

    java.lang.Object
      org.apache.batik.css.engine.value.AbstractValueFactory
          org.apache.batik.css.engine.value.AbstractValueManager
              org.apache.batik.css.engine.value.svg.GlyphOrientationManager

All Implemented Interfaces:
  ValueManager

Direct Known Subclasses:
  GlyphOrientationHorizontalManager, GlyphOrientationVerticalManager

public abstract class GlyphOrientationManager
extends AbstractValueManager

This class provides a manager for the 'glyph-orientation' property values.

Constructor Summary
`GlyphOrientationManager()`

Method Summary
`Value` `createFloatValue(short type, float floatValue)` Implements `ValueManager#createFloatValue(short,float)`.
`Value` `createValue(LexicalUnit lu, CSSEngine engine)` Implements `ValueManager#createValue(LexicalUnit,CSSEngine)`.
`boolean` `isInheritedProperty()` Implements `ValueManager.isInheritedProperty()`.

Methods inherited from class org.apache.batik.css.engine.value.AbstractValueManager
`computeValue, createStringValue`

Methods inherited from class org.apache.batik.css.engine.value.AbstractValueFactory
`createDOMException, createInvalidFloatTypeDOMException, createInvalidFloatValueDOMException, createInvalidIdentifierDOMException, createInvalidLexicalUnitDOMException, createInvalidStringTypeDOMException, createMalformedLexicalUnitDOMException, getPropertyName, resolveURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.css.engine.value.ValueManager
`getDefaultValue, getPropertyName`

Constructor Detail

### GlyphOrientationManager

    public GlyphOrientationManager()

Method Detail

### isInheritedProperty

    public boolean isInheritedProperty()

  Implements `ValueManager.isInheritedProperty()`.

### createValue

    public Value createValue(LexicalUnit lu,
                             CSSEngine engine)
                      throws org.w3c.dom.DOMException

  Implements `ValueManager#createValue(LexicalUnit,CSSEngine)`.

  Parameters:
    `lu` - The SAC lexical unit used to create the value.
    `engine` - The calling CSSEngine.
  Throws:
    `org.w3c.dom.DOMException`

### createFloatValue

    public Value createFloatValue(short type,
                                  float floatValue)
                           throws org.w3c.dom.DOMException

  Implements `ValueManager#createFloatValue(short,float)`.

  Specified by:
    `createFloatValue` in interface `ValueManager`
  Overrides:
    `createFloatValue` in class `AbstractValueManager`
  Throws:
    `org.w3c.dom.DOMException`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.